Send task feedback
Attaches feedback to the latest assistant response on a task.
POST
/api/agents/{agentId}/tasks/{taskId}/feedbackPath parameters
agentIdstringrequiredResearch Agent ID assigned to your organization.
taskIdstringrequiredTask ID returned when the task was created.
Request body
requiredapplication/jsonsentimentintegerrequiredAllowed:
10-1commentstringResponses
200Feedback recorded.
successanyrequired400The request body is invalid.
errorstringrequireddetailsobject401The bearer token is missing or invalid.
errorstringrequired403The authenticated user cannot access the requested agent.
errorstringrequired404The task was not found for this user and agent.
errorstringrequired409The task has not produced a response.
errorstringrequiredRequest
curl -X POST "https://agents.sibi.ai/api/agents/string/tasks/string/feedback" \
-H "Content-Type: application/json" \
-d '{
"sentiment": 1,
"comment": "The top candidate matched the required dimensions."
}'const response = await fetch("https://agents.sibi.ai/api/agents/string/tasks/string/feedback", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"sentiment": 1,
"comment": "The top candidate matched the required dimensions."
})
});Response
{
"success": true
}{
"error": "string",
"details": {}
}{
"error": "Unauthorized"
}{
"error": "Forbidden"
}{
"error": "Task not found"
}{
"error": "Task is still pending"
}